var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import ConfigProvider from '../config-provider';
import PropTypes from 'prop-types';
import React, { Component } from 'react';
import cls from 'classnames';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { TimePicker2 as NextTimePicker2 } from '@alifd/next';
import { getTheme } from '../utils/getTheme';
class TimePicker2 extends Component {
    render() {
        const _a = this.props, { prefix = 'next-', className, popupAlign = 'bl tl' } = _a, otherProps = __rest(_a, ["prefix", "className", "popupAlign"]);
        const theme = getTheme(this.context, this.props);
        return (React.createElement(NextTimePicker2, Object.assign({}, otherProps, { prefix: prefix, popupAlign: popupAlign, className: cls(className, {
                [`${prefix}white`]: theme === 'white',
                [`${prefix}grey`]: theme === 'grey',
            }), popupClassName: cls(className, {
                [`${prefix}white`]: theme === 'white',
                [`${prefix}grey`]: theme === 'grey',
            }) })));
    }
}
TimePicker2.contextTypes = {
    theme: PropTypes.string,
};
hoistNonReactStatics(TimePicker2, NextTimePicker2);
export default ConfigProvider.config(TimePicker2);
